<h2 mat-dialog-title>{{edit ? 'Editer un utilisateur': 'Créer un utilisateur' }}</h2>
<mat-dialog-content class="mat-typography">
    <mat-form-field appearance="fill">
  <mat-label>Nom</mat-label>
  <input matInput [(ngModel)]="data.lastName">
</mat-form-field>
<mat-form-field appearance="fill">
  <mat-label>Prénom</mat-label>
  <input matInput [(ngModel)]="data.name">
</mat-form-field>
<mat-form-field appearance="fill">
  <mat-label>Bibliothèque</mat-label>
 <mat-select [(ngModel)]="data.libraryId">
    <mat-option [value]="1">ma bibliothèque</mat-option>
    <mat-option [value]="2">Vieux Lille</mat-option>
  </mat-select>
</mat-form-field>

    </mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button mat-dialog-close>Annuler</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>{{edit ? 'Editer': 'Créer' }}</button>
</mat-dialog-actions>
